> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# AceDataCloud プラットフォームサービス詳細の取得

> Platform API guide - Ace Data Cloud

サービス ID（UUID）またはエイリアス（alias）を使用して、単一サービスの完全な情報を取得します——[AceDataCloud プラットフォームサービス一覧の取得](https://platform.acedata.cloud/documents/platform-service-list)で返されるフィールドよりも充実しており、`apis`、`proxies`、`datasets`、`packages` などの関連オブジェクトが追加で展開されます。サービス詳細ページ、価格比較ページ、Agent ツール説明などのシナリオに適しています。

> ℹ️ 本インターフェースは **AceDataCloud プラットフォーム管理 API** に属し、共通プレフィックスは `https://platform.acedata.cloud/api/v1/` です。完全なインターフェースインデックスについては、[AceDataCloud プラットフォームドキュメント一覧の取得](https://platform.acedata.cloud/documents/platform-document-list)をご覧ください。

## インターフェース概要

| 項目 | 内容 |
| - | - |
| メソッド | `GET` |
| URL | `https://platform.acedata.cloud/api/v1/services/{service_id}` |
| 認証 | ❌ 公開 |

`/services/{id}` と `/services/{id}/` は現在どちらも使用可能です。例では末尾のスラッシュなしの形式に統一しています。

## 認証説明

本インターフェースは完全に公開されています。**ただし、アカウントトークンを付与すると、レスポンス内の `applied` フィールドは現在のアカウントの実際の申請状態を反映します**。それ以外の場合は常に `false` です。

アカウントトークンの取得方法については、[AceDataCloud プラットフォームアカウントトークンの管理](https://platform.acedata.cloud/documents/platform-token)をご覧ください。

## パスパラメータ

| パラメータ | 型 | 必須 | 説明 |
| - | - | - | - |
| `service_id` | UUID / string | ✅ | サービス ID（UUID）またはエイリアス（`midjourney`、`openai`、`webextrator` など） |

## リクエスト例

### cURL

```shell theme={null}
# 按 UUID 查询
curl 'https://platform.acedata.cloud/api/v1/services/8efa1d83-9b75-4562-b44a-af95ce563d05' \
  -H 'accept: application/json'

# 按 alias 查询
curl 'https://platform.acedata.cloud/api/v1/services/midjourney' \
  -H 'accept: application/json'

# 带账户令牌看 applied 状态
curl 'https://platform.acedata.cloud/api/v1/services/midjourney' \
  -H 'accept: application/json' \
  -H "authorization: Bearer ${PLATFORM_TOKEN}"
```

### Python

```python theme={null}
import os
import requests

resp = requests.get(
    "https://platform.acedata.cloud/api/v1/services/midjourney",
    headers={
        "accept": "application/json",
        "authorization": f"Bearer {os.environ['PLATFORM_TOKEN']}",
    },
    timeout=10,
)
svc = resp.json()
print(f"服务: {svc['title']} ({svc['alias']})")
print(f"已申请: {svc['applied']}, 免费额度: {svc['free_amount']} {svc['unit']}")
print(f"API 数: {len(svc['apis'])}, 套餐数: {len(svc['packages'])}")
for pkg in svc["packages"]:
    print(f"  ¥{pkg['price']:>7.2f}  ->  {pkg['amount']} {svc['unit']}")
```

### Node.js

```javascript theme={null}
const r = await fetch('https://platform.acedata.cloud/api/v1/services/midjourney', {
  headers: { accept: 'application/json' },
})
const svc = await r.json()
console.log(`${svc.title} - 套餐 ${svc.packages.length} 个 - API ${svc.apis.length} 个`)
```

## レスポンス例（HTTP 200）

```json theme={null}
{
  "id": "8efa1d83-9b75-4562-b44a-af95ce563d05",
  "alias": "face-transform",
  "title": "人脸变换",
  "description": "人脸识别、替换和风格转换等操作服务。",
  "introduction": "...长文 Markdown...",
  "type": "Api",
  "applied": false,
  "applied_count": 281,
  "free_amount": 1.0,
  "unit": "Credit",
  "private": false,
  "need_verify": false,
  "rank": 0,
  "tags": [],
  "metadata": null,
  "thumbnail": "https://cdn.acedata.cloud/qrd7gw.png/thumb_600x300",
  "doc_url": null,
  "demo_url": null,
  "api_ids": [
    "e4fbc3b6-4f44-48fb-a049-40f5c27c7cd3",
    "2c7f6468-58d9-4611-885b-1e34664d49e9"
  ],
  "proxy_ids": [],
  "cost": [
    { "conditions": { "==": [1, 1] }, "consumption": 0.0025 }
  ],
  "apis": [
    {
      "id": "e4fbc3b6-4f44-48fb-a049-40f5c27c7cd3",
      "name": "Face Analyze API",
      "title": "五官定位 API",
      "path": "/face/analyze",
      "stage": "Stable",
      "cost": [ { "conditions": { "==": [1, 1] }, "consumption": 0.0025 } ]
    }
  ],
  "proxies": [],
  "datasets": [],
  "packages": [
    {
      "id": "4add61f2-61db-4d1c-85b6-d4876ac122f0",
      "type": "Usage",
      "price": 63.2,
      "amount": 530.0,
      "duration": null,
      "private": false
    }
  ],
  "created_at": "2024-06-11T00:41:29.255614Z",
  "updated_at": "2026-04-26T16:12:40.481154Z"
}
```

## レスポンスフィールドの説明

詳細インターフェースでは、[一覧インターフェース](https://platform.acedata.cloud/documents/platform-service-list)のすべてのフィールドに加えて、以下が追加で展開されます。

| フィールド | 型 | 説明 |
| - | - | - |
| `apis` | array | 関連 API オブジェクトの完全な一覧（各項目に `id`、`name`、`title`、`path`、`stage`、`cost` を含む） |
| `proxies` | array | 関連 Proxy オブジェクトの完全な一覧 |
| `datasets` | array | 関連データセット（`type=Dataset` の場合） |
| `packages` | array | パッケージ一覧。`type`（`Usage`/`Period`）、`price`、`amount`、`duration` を含む |

その他のフィールド定義については、[AceDataCloud プラットフォームサービス一覧の取得 → レスポンスフィールドの説明](https://platform.acedata.cloud/documents/platform-service-list)をご覧ください。

## エラー処理

| HTTP | code | 意味 |
| - | - | - |
| 404 | `not_found` | `service_id`（UUID または alias）が存在しない |
| 500 | — | 通常は URL の末尾にスラッシュを誤って追加したことが原因です。削除して再試行してください |

## 実用的なヒント

* **`alias` > `UUID`**：`alias`（例：`midjourney`）をコードにハードコードする方が安定しています。UUID は環境の移行時に変わります。
* **`apis` フィールドには OpenAPI 定義が含まれません**：完全な OpenAPI 3.0 Schema は、[AceDataCloud プラットフォーム API 詳細の取得](https://platform.acedata.cloud/documents/platform-api-detail)インターフェースにあります。
* **サービスの「完全な機能」を取得する**：本インターフェースで `api_ids` を取得し、その後 `/apis/{api_id}` を1つずつ呼び出して詳細を取得します。
* **`applied=true` の場合**、直接[API 認証情報を作成](https://platform.acedata.cloud/documents/platform-credential-create)して、ビジネスインターフェースの呼び出しに必要な32桁の Token を取得できます。再申請は不要です。

## 関連インターフェース

* [AceDataCloud プラットフォームサービス一覧を取得](https://platform.acedata.cloud/documents/platform-service-list)
* [AceDataCloud プラットフォームサービス配下の API 一覧を取得](https://platform.acedata.cloud/documents/platform-service-apis)
* [AceDataCloud プラットフォームサービス配下の Proxy 一覧を取得](https://platform.acedata.cloud/documents/platform-service-proxies)
* [AceDataCloud プラットフォームサービス申請を作成](https://platform.acedata.cloud/documents/platform-application-create)
* [AceDataCloud プラットフォームチャージ注文を作成](https://platform.acedata.cloud/documents/platform-order-create)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.